com.impinj.stp

## Interface StpApi.OperationDataDetailsOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.OperationDataDetails, StpApi.OperationDataDetails.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.OperationDataDetailsOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFirmwareVersion()`
    `com.google.protobuf.ByteString` | `getFirmwareVersionBytes()`
    `java.lang.String` | `getInstalledFeatures(int index)`
    `com.google.protobuf.ByteString` | `getInstalledFeaturesBytes(int index)`
    `int` | `getInstalledFeaturesCount()`
    `java.util.List<java.lang.String>` | `getInstalledFeaturesList()`
    `int` | `getMonzaVolumeKeyId()`
    `int` | `getNonMonzaVolumeKeyId()`
    `StpApi.OperationMetrics` | `getOperationMetrics()`
    `StpApi.OperationMetricsOrBuilder` | `getOperationMetricsOrBuilder()`
    `java.lang.String` | `getRegion()`
    `com.google.protobuf.ByteString` | `getRegionBytes()`
    `java.lang.String` | `getSerialNumber()`
    `com.google.protobuf.ByteString` | `getSerialNumberBytes()`
    `boolean` | `hasFirmwareVersion()`
    `boolean` | `hasMonzaVolumeKeyId()`
    `boolean` | `hasNonMonzaVolumeKeyId()`
    `boolean` | `hasOperationMetrics()`
    `boolean` | `hasRegion()`
    `boolean` | `hasSerialNumber()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasSerialNumber

          boolean hasSerialNumber()

    - #### getSerialNumber

          java.lang.String getSerialNumber()

    - #### getSerialNumberBytes

          com.google.protobuf.ByteString getSerialNumberBytes()

    - #### hasFirmwareVersion

          boolean hasFirmwareVersion()

    - #### getFirmwareVersion

          java.lang.String getFirmwareVersion()

    - #### getFirmwareVersionBytes

          com.google.protobuf.ByteString getFirmwareVersionBytes()

    - #### hasRegion

          boolean hasRegion()

    - #### getRegion

          java.lang.String getRegion()

    - #### getRegionBytes

          com.google.protobuf.ByteString getRegionBytes()

    - #### getInstalledFeaturesList

          java.util.List<java.lang.String> getInstalledFeaturesList()

    - #### getInstalledFeaturesCount

          int getInstalledFeaturesCount()

    - #### getInstalledFeatures

          java.lang.String getInstalledFeatures(int index)

    - #### getInstalledFeaturesBytes

          com.google.protobuf.ByteString getInstalledFeaturesBytes(int index)

    - #### hasNonMonzaVolumeKeyId

          boolean hasNonMonzaVolumeKeyId()

    - #### getNonMonzaVolumeKeyId

          int getNonMonzaVolumeKeyId()

    - #### hasOperationMetrics

          boolean hasOperationMetrics()

    - #### getOperationMetrics

          StpApi.OperationMetrics getOperationMetrics()

    - #### getOperationMetricsOrBuilder

          StpApi.OperationMetricsOrBuilder getOperationMetricsOrBuilder()

    - #### hasMonzaVolumeKeyId

          boolean hasMonzaVolumeKeyId()

    - #### getMonzaVolumeKeyId

          int getMonzaVolumeKeyId()